Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynEnum_var Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynEnum_var:

[legend]
Collaboration diagram for DynamicAny::DynEnum_var:

[legend]
List of all members.

## Public Methods
| DynEnum_var (void)
| DynEnum_var (DynEnum_ptr p)
| DynEnum_var (const DynEnum_var &)
| ~DynEnum_var (void)
DynEnum_var & | operator= (DynEnum_ptr)
DynEnum_var & | operator= (const DynEnum_var &)
DynEnum_ptr | operator-> (void) const
| operator const DynEnum_ptr & () const
| operator DynEnum_ptr & ()
DynEnum_ptr | in (void) const
DynEnum_ptr & | inout (void)
DynEnum_ptr & | out (void)
DynEnum_ptr | _retn (void)
DynEnum_ptr | ptr (void) const
## Static Public Methods
DynEnum_ptr | tao_duplicate (DynEnum_ptr)
void | tao_release (DynEnum_ptr)
DynEnum_ptr | tao_nil (void)
DynEnum_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| DynEnum_var (const TAO_Base_var &rhs)
DynEnum_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
DynEnum_ptr | ptr_

## Constructor & Destructor Documentation

DynamicAny::DynEnum_var::DynEnum_var | ( | void |  | ) |

DynamicAny::DynEnum_var::DynEnum_var | ( | DynEnum_ptr | p | ) | `[inline]`

DynamicAny::DynEnum_var::DynEnum_var | ( | const DynEnum_var & |  | ) |

DynamicAny::DynEnum_var::~DynEnum_var | ( | void |  | ) |

DynamicAny::DynEnum_var::DynEnum_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

DynEnum_ptr DynamicAny::DynEnum_var::_retn | ( | void |  | ) |

DynEnum_ptr DynamicAny::DynEnum_var::in | ( | void |  | ) | const

DynEnum_ptr& DynamicAny::DynEnum_var::inout | ( | void |  | ) |

DynamicAny::DynEnum_var::operator const DynEnum_ptr & | ( |  | ) | const

DynamicAny::DynEnum_var::operator DynEnum_ptr & | ( |  | ) |

DynEnum_ptr DynamicAny::DynEnum_var::operator-> | ( | void |  | ) | const

DynEnum_var& DynamicAny::DynEnum_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

DynEnum_var& DynamicAny::DynEnum_var::operator= | ( | const DynEnum_var & |  | ) |

DynamicAny::DynEnum_var & DynamicAny::DynEnum_var::operator= | ( | DynEnum_ptr | p | ) |

DynEnum_ptr& DynamicAny::DynEnum_var::out | ( | void |  | ) |

DynamicAny::DynEnum_ptr DynamicAny::DynEnum_var::ptr | ( | void |  | ) | const

DynEnum_ptr DynamicAny::DynEnum_var::tao_duplicate | ( | DynEnum_ptr |  | ) | `[static]`

DynEnum_ptr DynamicAny::DynEnum_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

DynEnum_ptr DynamicAny::DynEnum_var::tao_nil | ( | void |  | ) | `[static]`

void DynamicAny::DynEnum_var::tao_release | ( | DynEnum_ptr |  | ) | `[static]`

CORBA::Object* DynamicAny::DynEnum_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

DynEnum_ptr DynamicAny::DynEnum_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp